KADM5 Functions
kadm5_create_principal
KADM5 Functions
PHP Manual

# kadm5_chpass_principal

(PECL kadm5 >= 0.2.3)

kadm5_chpass_principal — Changes the principal's password

### Description

bool kadm5_chpass_principal ( resource `$handle` , string `$principal` , string `$password` )

kadm5_chpass_principal() sets the new password `password` for the `principal` .

### Parameters

`handle`

  A KADM5 handle.

`principal`

  The principal.

`password`

  The new password.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Example of changing principal's password

`<?php
$handle = kadm5_init_with_password("afs-1", "GONICUS.LOCAL", "admin/admin", "password");
kadm5_chpass_principal($handle, "burbach@GONICUS.LOCAL", "newpassword");
kadm5_destroy($handle);
?>`

KADM5 Functions
kadm5_create_principal
KADM5 Functions
PHP Manual